# $Revision: 1.6 $, $Date: 2002/08/09 23:01:53 $
%define		dictname	IDP
%define		dict1		French
%define		dict2		German
%define		dict3		Italian
%define		dict4		Latin
%define		dict5	 	Portuguese
%define		dict6		Spanish
%define		dictionaries	%{dict1} %{dict2} %{dict3} %{dict4} %{dict5} %{dict6}

Summary:	The Free dictionaries for dictd made from IDP project
Summary(pl):	Darmowe Sowniki dla dictd z projektu IDP
Name:		dict-%{dictname}
Version:	19990219
# Last update on their site
Release:	1
License:	GPL
# is this '#This file is free to use and modify.  Thank you for using the IDP.'
# compatible w/ Gnu GPL ???
Group:		Applications/Dictionaries
Source0:	http://www.aracnet.com/~tyler/IDP/files/%{dict1}.txt
Source1:	http://www.aracnet.com/~tyler/IDP/files/%{dict2}.txt
Source2:	http://www.aracnet.com/~tyler/IDP/files/%{dict3}.txt
Source3:	http://www.aracnet.com/~tyler/IDP/files/%{dict4}.txt
Source4:	http://www.aracnet.com/~tyler/IDP/files/%{dict5}.txt
Source5:	http://www.aracnet.com/~tyler/IDP/files/%{dict6}.txt
#Source91:   www.wh9.tu-dresden.de/%7Eheinrich/dict/dict_idp/idp2dict.sh
# copyright info:
Source98:	http://www.june29.com/IDP/IDPcopyright.html
Source99:	http://www.june29.com/IDP/IDPdisclaimer.html
URL:		http://www.june29.com/IDP/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	dictfmt
BuildRequires:	dictzip
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description
This package contains The Internet Dictionary Project's dictionaries,
formatted for use by the dictionary server in the dictd package. The
Internet Dictionary Project's goal is to create royalty-free
translating dictionaries through the help of the Internet's citizens.
The IDP site allows individuals from all over the world to visit and
assist in the translation of English words into other languages. The
resulting lists of English words and their translated counterparts are
then made available through this site to anyone, with no restrictions
on their use.

%description -l pl
Ten pakiet zawiera darmowe sowniki z Internet Dictionary Project w
sformatowane do uytku z serwerem sownika dictd. Celem Internet
Dictionary Project jest stworzenie wolnych od opat sownikw
tumacze w oparciu o pomoc spoecznoci internetowej. Serwis IDP
pozwala ludziom z caego wiata na pomoc przy tumaczeniu angielskich
sw na inne jzyki. Powstae w ten sposb listy angielskich sw i
ich tumacze s udostpniane wszystkim, do nieograniczonego uytku.

%package %{dict1}
Summary:	The %{dict1} Dictionary for dictd
Summary(pl):	Sownik %{dict1} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict1}
This package contains %{dict1} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict1} -l pl
Ten pakiet zawiera sownik %{dict1} do uywania z serwerem sownika
dictd.

%package %{dict2}
Summary:	The %{dict2} Dictionary for dictd
Summary(pl):	Sownik %{dict2} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict2}
This package contains %{dict2} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict2} -l pl
Ten pakiet zawiera sownik %{dict2} do uywania z serwerem sownika
dictd.

%package %{dict3}
Summary:	The %{dict3} Dictionary for dictd
Summary(pl):	Sownik %{dict3} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict3}
This package contains %{dict3} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict3} -l pl
Ten pakiet zawiera sownik %{dict3} do uywania z serwerem sownika
dictd.

%package %{dict4}
Summary:	The %{dict4} Dictionary for dictd
Summary(pl):	Sownik %{dict4} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict4}
This package contains %{dict4} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict4} -l pl
Ten pakiet zawiera sownik %{dict4} do uywania z serwerem sownika
dictd.

%package %{dict5}
Summary:	The %{dict5} Dictionary for dictd
Summary(pl):	Sownik %{dict5} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict5}
This package contains %{dict5} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict5} -l pl
Ten pakiet zawiera sownik %{dict5} do uywania z serwerem sownika
dictd.

%package %{dict6}
Summary:	The %{dict6} Dictionary for dictd
Summary(pl):	Sownik %{dict6} dla dictd
Group:		Applications/Dictionaries
Requires:	dictd
Requires:	%{_sysconfdir}/dictd

%description %{dict6}
This package contains %{dict6} dictionaries for use by the dictionary
server in the dictd package.

%description %{dict6} -l pl
Ten pakiet zawiera sownik %{dict6} do uywania z serwerem sownika
dictd.

%prep
%setup -c -T
cp -f %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} .

%build
echo "Making %{dictionaries}"
all_targets=""
for x in *.txt ; do
	target=%{dictname}_`echo $x | cut -f1 -d.`
	all_targets=$all_targets" "$target
	echo '%h 00-database-info' > $target
	echo '%d' >> $target
	grep '^#' $x >> $target
	grep -v '^#' $x | awk 'BEGIN{FS="\t"}{print "%h "$1; print "%d" ; print "\t"$2"\n" }' >> $target
done

for x in $all_targets ; do
	dictfmt -p -u "%{URL}" -s "Internet Dictionary Project"  $x < $x
	dictzip  $x'.dict'
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/dictd/,%{_sysconfdir}/dictd}

for i in %{dictionaries}; do
	dictprefix=%{_datadir}/dictd/%{dictname}_$i
	echo "# The Internet Dictionary Project dictionaries
	database $i {
		data \"$dictprefix.dict.dz\"
		index \"$dictprefix.index\"
	}
	" > $RPM_BUILD_ROOT%{_sysconfdir}/dictd/%{dictname}-$i.dictconf
	install %{dictname}_$i* $RPM_BUILD_ROOT%{_datadir}/dictd/
done

%clean
rm -rf $RPM_BUILD_ROOT

%post %{dict1}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict1}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post %{dict2}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict2}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post %{dict3}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict3}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post %{dict4}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict4}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post %{dict5}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict5}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%post %{dict6}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2
fi

%postun %{dict6}
if [ -f /var/lock/subsys/dictd ]; then
	/etc/rc.d/init.d/dictd restart 1>&2 || true
fi

%files %{dict1}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict1}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict1}*

%files %{dict2}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict2}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict2}*

%files %{dict3}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict3}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict3}*

%files %{dict4}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict4}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict4}*

%files %{dict5}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict5}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict5}*

%files %{dict6}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/dictd/%{dictname}-%{dict6}.dictconf
%{_datadir}/dictd/%{dictname}_%{dict6}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dict-idp.spec,v $
Revision 1.6  2002/08/09 23:01:53  qboosh
- more cosmetics

Revision 1.5  2002/08/05 22:14:16  qboosh
- typos and cosmetics
- fixed build, BR: dictfmt

Revision 1.4  2002/07/26 10:12:46  qboosh
- added missing %%prep section header

Revision 1.3  2002/07/18 11:29:33  ankry
- typos in Sources

Revision 1.2  2002/07/18 01:58:45  kloczek
- cosmetics.

Revision 1.1  2002/07/17 00:53:34  hunter
-NYF !, someone w/ big pipe pls fetch the files.
